/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require trix
 *= require_tree .
 *= require_self

 */

@import url('https://fonts.googleapis.com/css?family=Roboto+Slab:400,700|Roboto:300,400,500,700,900');


.footer {
  background-color: #00599D;
  height: 54px;
  margin: 0;
  color: #b5b8be;
  padding: 15px;
  padding-left: 100px;
  font-size: 14px;
  bottom: 0px;
  width: 100%;
}

a {
  color: #00599D;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    right: 0;
    padding: 5px;
    margin: 0;
    min-width: 100px;
    text-align: right;
}

.dropdown-content a {
  font-size: 14px !important; 
}

.dropdown:hover .dropdown-content {
    display: block;
}

.main_nav_contaner {
}

.main_nav {
  padding: 0;
  margin: 0;
  list-style: none;
  text-shadow: rgba(0,0,0,.01) 0 0 1px;
  display: inline-block;
}

.main_nav li a {
  font-size: 18px;
  font-weight: 500;
  color: #384158;
  text-decoration: none;
  line-height: 55px;
}

.main_nav li a:hover {
  touch-action: manipulation;
  color: #14bdee;
  background-color: transparent;
}

.main_nav li {
  display: inline-block;
  position: relative;
  margin-left: 44px;
}

.header_container {
  width: 100%;
  background: #FFFFFF;
}

.header_content {
  height: 55px;
}

.header_container .container {
  min-height: auto;
  max-width: 1170px;
}

.align-items-center {
  align-items: center!important;
}

.justify-content-start {
  justify-content: flex-start!important;
}

.flex-row {
  flex-direction: row!important;
}

.d-flex {
  display: flex!important;
}

.logo_container{
}

.logo_text span {
  color: #0b6ec7;
}

.logo_text {
  font-family: 'Roboto Slab', serif;
  font-size: 30px;
  font-weight: 700;
  line-height: 0.75;
  color: #384158;
  vertical-align: middle;
  margin-left: 7px;
}

.top_bar_container {
  background-color: #0b6ec7;
}

.top_bar_content {
  width: 100%;
  height: 20px;
}

.header_content {
  height: 55px;
}

 * {
  box-sizing: border-box;
 }

body {
  margin: 0;
  background: #f2f2f2;
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  font-weight: 400;
 color: #333;
}

.header {
  box-shadow: 0 0 10px #999;
  box-sizing: border-box;
  background-color: #0b6ec7;
  color: #ffffff;
}

.header h2 {
  float: left;
  padding-left: 20px; 
}

.header .menu {
  float: right;
  margin-top: 25px;
}

.clear-height {
  clear: both;
}

.header .menu a {
  padding-left: 15px;
  padding-right: 15px;
  text-decoration: none;
  padding-bottom: 5px;
  padding-top: 5px;
  color: #ffffff;
}

.container {
  min-height: 550px;
  max-width: 1170px;
  margin: auto;
  width: 100%;
}

.sidebar {
  float: left;
  width: 20%;
  margin-top: 10px;
  background-color: rgba(255,255,255,.8);
}

.page-container {
  margin-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
  padding-bottom: 10px;
}

.sidebar + .page-container {
  float: left;
  width: 80%;
  }

.page-container-inner{
  background-color: rgba(255,255,255,.8);
  padding-top: 7px;
  padding-left: 10px;
  padding-right: 10px;
  padding-bottom: 7px;
}

.sidebar a {
  display: block;
  padding-left: 10px;
  padding-top: 7px;
  padding-bottom: 7px;
  padding-right: 10px;
  text-decoration: none;
  color: #333;
  border-bottom: 1px solid #dddddd;
}

.sidebar a:hover, .menu a:hover{
  color:#fff;
  background-color: #087ccd;
}


.login-outer {
  padding-top: 50px;
}

.login {
  max-width: 800px;
  margin: auto;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 5px;
  padding-bottom: 10px;
  text-align: left;
  box-shadow: 2px 2px 15px #777;
  background: #ffffff;
}

.login h5 {
  text-align: center;
}

.group {
  margin-bottom: 10px;
  margin-top: 10px;
}

.group label {
  display: block;
}

.login-outer {
  text-align: center;
}

.group input:not([type]),
.group input[type="email" i], 
.group input[type="number" i], 
.group input[type="password" i], 
.group input[type="tel" i], 
.group input[type="url" i], 
.group input[type="text" i],
.group textarea {
  width: 100%;
}


table {
  border-collapse: collapse;
  width: 100%;
}

table th, table td {
  text-align: left;
  padding: 8px;
}

table.striped tr:nth-child(even){background-color: #f2f2f2}

table th {
  background-color:  #087ccd;
  color: white;
}

.btn {
  background: -webkit-gradient(linear,left bottom,left top,color-stop(0,#1e5ea6),color-stop(100%,#68acfa));
  text-align: center;
  text-decoration: none;
  border-color: #1e5ea6;
  color: #fff;
  display: inline-block;
  padding: 5px 10px 5px 10px;
  border-width: 1px;
  border-style: solid;
  -webkit-border-radius: 3px;
  cursor: pointer;
  font-size: 13px;
  line-height: 1.35;
  margin: 0;
  overflow: visible;
}

.test{
  padding-bottom: 10px;
  padding-left: 20px;
}

.user {
  width: 900px;
  margin: auto;
}

.dashboard {
  padding-top: 50px;
  padding-bottom: 50px;
  text-align: center;
}

.form-tf {
  border-radius: 0;
  border-width: 0 0 1px;
  border-style: solid;
  border-color: rgba(0,0,0,.12);
  max-height: 100px;
  box-shadow: inset 0 -1px 0 transparent;
  box-sizing: border-box;
  padding: 12px 4px;
  background: 0 0;
  width: 70%;
}

.form-ta {
  display: block; 
  width: 100%;
  margin-bottom: 10px;
  padding-top: 5px;
  margin-top: 5px;
}

.feedback {
  margin-bottom: 10px;
}

.form-lbl {
  width: 20%;
  display: inline-block;
}

.message {
  border:1px solid darkseagreen; 
  margin-bottom: 5px; 
  margin-right: 5px;
  padding: 5px; 
  max-width: 60%; 
  border-radius: 5px;
  overflow: hidden; 
  background: rgba(255,255,255,0.5);
}

.message.sent {
  margin-left: auto;
}

.message.unread {
  font-weight: bold;
}

.message .name {
  font-size: 10px; 
  color: grey;
  font-style: italic; 
  margin-bottom: 5px;
}

.message .text {
  font-size: 14px; 
  margin-bottom: 5px;
}

.message .time {
  float: right; 
  font-size: 10px; 
  color: grey; 
  font-style: italic;
}

.column20 {
  float: right; 
  width: 20%; 
}

.column80 {
  float: left; 
  width: 80%;
}

.messagebox {
  background: url(asset-path('message-bg3.jpg')); 
  padding: 10px; 
  background-size: contain;
}

.messageuser a {
  text-decoration: none;
  color: black;
  padding: 5px;
  border-bottom: 1px solid #dddddd;
  display: block;
}

.messageuser a:hover {
  color:#fff;
  background-color: #087ccd;
}

.flash-message {
  text-align: center; 
  padding-top: 10px;
}

#error_explanation {
  color: #dc3545;
}

#error_explanation  h2 {
  display: none;
}

#error_explanation ul {
  list-style: none;
  padding: 0;
  color: #dc3545;
}

.event_show {
  padding: 10px;
}

.event_show_h5 {
  font-weight: 600;
  font-size: 12px;
  line-height: 26px;
  color: #384158;
  text-transform: uppercase;
}

.event_show_edit {
  margin-top: 10px; text-align: center;
}

.event_closed {
  float: left; 
  width: 30%; 
  padding: 20px;
}

.registered {
  color: green;
}

.event_date_name {
  float: left; 
  width: 30%;
}

.event_img {
  float: left; 
  width: 70%;
}

.lbl_desc {
  float: left; 
  width: 70%;
}

.event_desc {
  text-align: justify;
}

.event_date_time {
  padding: 20px; 
  padding-top: 0;
}

.event_date_location {
  float: left; 
  width: 30%; 
}

.user_div {
  width: 100%;
}

.user_div ul {
  padding-top: 20px; 
  list-style: none;
}

.user_div span {
  border-radius: 50%; 
  border: 1px solid grey;
  color: #384158; 
  width: 30px; 
  height: 30px; 
  display: inline-block; 
  line-height: 30px; 
  text-align: center; 
  float: left;
}

.user_div_name {
  padding-left: 35px;
}

.errorExplanation  h2 {
  display: none;
}

.errorExplanation {
  color: #dc3545;
}

.register {
  padding :10px;
}

.register label {
  float: left;
   width: 30%;
}

.register input {
  width :70%;
  padding: 5px;
}

.reg {
  float: left; width: 50%;
}

@media (max-width:910px) {
    .register label {
       width: 100%;
    }

  .register input {
    width :100%;
  }

  .reg {
    width: 100%;
    margin-bottom: 10px;
  }

  .register {
    padding-left: 0;
    padding-right: 0;
  }
}

.gfs_reg_input {
  width: 100%; 
  padding: 5px; 
  margin-bottom: 5px;
}

.gfs_reg_input input {
  width: 100%; 
  height: 30px; 
  padding: 5px;
}
.gfs_reg_label {
  padding: 5px;
}

.gfs_reg_input textarea {
  width: 100%;
  height: 45px;
}

.gfs_reg_label label:after {
    content: "*";
    color: red;
}